Name:			sdlmess
Version:		0.146
#define sversion	%(sed -e "s/\\.//" <<<%{version})
%define sversion	%(sed -r -e "s/\\.//" -e "s/(.*)u(.)/\\1/" <<<%{version})
%define uversion	%(sed -r -e "s/(.*u)(.)/\\2/;t;c\\0" <<<%{version})
Release:		%mkrel 1

Summary:	SDL MESS emulates a large variety of different systems
License:	Freeware
Group:		Emulators
URL:		http://www.mess.org/
#http://mamedev.org/downloader.php?&file=mame%{sversion}s.zip
Source0:	mame%{sversion}s.zip
Source1:	http://www.mess.org/files/mess%{sversion}s.zip
Source2:	sdlmess-wrapper
Source3:	sdlmame-extra.tar.bz2
#Sources 10+ : u1, u2 etc zip files containing changelogs and patches (if any)
%if %{uversion}
%(for ((i=1 ; i<=%{uversion} ; i++)) ; do echo Source$((9+i)):  http://www.mess.org/files/mess%{sversion}u${i}_diff.zip ;done)
%endif 

BuildRequires:	SDL-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	expat-devel
BuildRequires:	zlib-devel
BuildRequires:	libxinerama-devel
BuildRequires:	gtk2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	perl
# Workaround
BuildRequires:	libxrender-devel >= 0.9.6

%description
SDL MESS is a free emulator which emulates a large variety of different 
systems (computers and home entertainment systems).
It uses SDL, and is based on MESS.

%prep
%setup -c -n %{name}-%{version} -q
unzip -qq mame.zip
unzip -qqo %{SOURCE1}
#files missing : ui.bdf, keymaps
tar xvjf %{SOURCE3}
#fixes doc line endings, + needed before patching
find . -type f -not -name "*.png" -not -name "*.gif" -not -name "*.bmp" \
 -not -name "*.ico" -not -name "*.zip" | xargs perl -pi -e 's/\r\n?/\n/g'
%if %{uversion}
%(for ((i=1 ; i<=%{uversion} ; i++)) ; do echo "unzip -qq %{SOURCE$((9+i))}" ; echo "perl -pi -e 's/\r\n/\n/g' mess%{sversion}u${i}.diff" ; echo "patch -p0 -N -s --fuzz=0 -E < mess%{sversion}u${i}.diff" ; done)
%endif

%build
#fullname is prefix+name+suffix+suffix64+suffixdebug(+suffixexe)
#optimizing for specific processor adds suffixes:
#DEBUG=1 to build the debugger
#SYMBOLS=1 to build a -debug package
#set ARCHOPTS for architecture-specific optimizations
#(-march=,-msse3,-mcpu=,...)
#Arch is auto-detected now, DRC options are set accordingly
#no need for PTR64=1, PPC=1, X86_MIPS3_DRC=, X86_PPC_DRC=, etc
%make all TARGET=mess \
 PREFIX="sdl" \
 NOWERROR=1 \
 BUILD_ZLIB= \
 BUILD_EXPAT= \
 OPT_FLAGS="%{optflags}"

%install
%__rm -rf %{buildroot}
%__install -d -m 755 %{buildroot}%{_gamesbindir}
%__install -m 755 sdlmess* %{buildroot}/%{_gamesbindir}/sdlmess.real

#various directories and files
%__install -d -m 755 %{buildroot}%{_gamesdatadir}/sdlmess/artwork
%__install -m 644 artwork/* %{buildroot}%{_gamesdatadir}/sdlmess/artwork/
%__install -d -m 755 %{buildroot}%{_gamesdatadir}/sdlmess/hash
%__install -m 644 hash/* %{buildroot}%{_gamesdatadir}/sdlmess/hash/

#keymaps
%__install -d -m 755 %{buildroot}%{_gamesdatadir}/sdlmess/keymaps
%__install -m 644 keymaps/* %{buildroot}%{_gamesdatadir}/sdlmess/keymaps/

#font
%__install -m 644 ui.bdf %{buildroot}%{_gamesdatadir}/sdlmess/

#sysinfo.dat
%__install -m 644 sysinfo.dat %{buildroot}%{_gamesdatadir}/sdlmess/

#cfg, diff, nvram, obj, snap in home only

#tools
#useful to manage roms
%__install -m 755 chdman %{buildroot}%{_gamesbindir}/chdman-sdlmess
%__install -m 755 romcmp %{buildroot}%{_gamesbindir}/romcmp-sdlmess
#useful to create a new keymap
%__install -m 755 testkeys %{buildroot}%{_gamesbindir}/testkeys-sdlmess
#other tools : dat2html, messtest, messdocs, imgtool, jedutil, makemeta, regrep, srcclean

#wrapper
%__install -m 755 %{SOURCE2} %{buildroot}%{_gamesbindir}/sdlmess

%files
%defattr(0644,root,root,0755)
%doc docs/*
%attr(0755,root,games) %{_gamesbindir}/sdlmess*
%attr(0755,root,games) %{_gamesbindir}/*-sdlmess
%{_gamesdatadir}/sdlmess

%clean
%__rm -rf %{buildroot}



%changelog
* Wed May 23 2012 Andrey Bondrov <abondrov@mandriva.org> 0.146-1mdv2012.0
+ Revision: 800175
- New version 0.146

* Wed Feb 08 2012 Andrey Bondrov <abondrov@mandriva.org> 0.145-1
+ Revision: 771723
- Fix use-of-RPM_SOURCE_DIR error to make rpmlint happy
- New version 0.145

* Thu Nov 17 2011 Andrey Bondrov <abondrov@mandriva.org> 0.144-1
+ Revision: 731271
- New version 0.144

  + Zombie Ryushu <ryushu@mandriva.org>
    - Revert to U4
    - Fix for reverted patches
    - Upgrade to u6

* Thu Aug 18 2011 Zombie Ryushu <ryushu@mandriva.org> 0.143u3-1
+ Revision: 695226
- Upgrade to 0.143u3

* Mon Aug 01 2011 Andrey Bondrov <abondrov@mandriva.org> 0.142u3-1
+ Revision: 692615
- imported package sdlmess


* Sat May 28 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 0.142u3-1mdv2011.0
- Import from MIB

* Sat May 28 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 0.142u3-69.1mib2010.2
- 0.142u3
- Updated sdlmess-wrapper to fix issue with spaces in rom filenames

* Wed Dec  1 2010 Guillaume Bedot <littletux@zarb.org> 0.140-1plf2011.0
- 0.140

* Sun May 23 2010 Guillaume Bedot <littletux@zarb.org> 0.138-1plf2010.1
- 0.138

* Tue Mar 23 2010 Guillaume Bedot <littletux@zarb.org> 0.137-1plf2010.1
- 0.137

* Sun Jan 10 2010 Guillaume Bedot <littletux@zarb.org> 0.136-1plf2010.1
- 0.136

* Fri Dec 18 2009 Zombie Ryushu <ryushu@zarb.org> 0.135-1plf2010.1
- 0.135

* Thu Sep 17 2009 Guillaume Bedot <littletux@zarb.org> 0.134-1plf2010.0
- 0.134

* Sat Sep  5 2009 Guillaume Bedot <littletux@zarb.org> 0.133-1plf2010.0
- 0.133

* Sun Jun 21 2009 Guillaume Bedot <littletux@zarb.org> 0.132-1plf2010.0
- 0.132

* Mon May 18 2009 Guillaume Bedot <littletux@zarb.org> 0.131-1plf2010.0
- 0.131
- added sysinfo.dat

* Sun Apr 19 2009 Guillaume Bedot <littletux@zarb.org> 0.130-1plf2009.1
- 0.130

* Thu Jan  8 2009 Guillaume Bedot <littletux@zarb.org> 0.129-1plf2009.1
- 0.129

* Fri Oct 24 2008 Guillaume Bedot <littletux@zarb.org> 0.128-1plf2009.1
- 0.128

* Fri Aug 15 2008 Guillaume Bedot <littletux@zarb.org> 0.126-2plf2009.0
- fix buildrequires

* Sat Jul 12 2008 Guillaume Bedot <littletux@zarb.org> 0.126-1plf2009.0
- 0.126
- rpm spec policy proposal related changes

* Thu May 29 2008 Guillaume Bedot <littletux@zarb.org> 0.125-1plf2009.0
- 0.125

* Fri Mar 28 2008 Guillaume Bedot <littletux@zarb.org> 0.124-1plf2008.1
- 0.124
- BIGENDIAN replaces PPC

* Tue Mar  4 2008 Guillaume Bedot <littletux@zarb.org> 0.123-1plf2008.1
- 0.123

* Tue Feb 05 2008 Anssi Hannula <anssi@zarb.org> 0.122-2plf2008.1
- buildrequires libxinerama-devel

* Mon Jan 28 2008 Guillaume Bedot <littletux@zarb.org> 0.122-1plf2008.1
- 0.122

* Tue Nov 27 2007 Guillaume Bedot <littletux@zarb.org> 0.121-1plf2008.1
- 0.121

* Wed Aug 15 2007 Guillaume Bedot <littletux@zarb.org> 0.118-1plf2008.0
- First PLF package
